## org.biojava.utils
Interface ActivityListener

public interface ActivityListener

Interface for object which monitor long-running activities. (may be subject to change before 1.2-final)

Since:
  1.2
Author:
  Thomas Down

Method Summary
`void` `activityFailed(java.lang.Object source, java.lang.Exception ex)` Notification of errors behind the scenes.
`void` `activityProgress(java.lang.Object source, int current, int target)` Estimated progress of an activity.
`void` `completedActivity(java.lang.Object source)` Notification that an activity is complete.
`void` `startedActivity(java.lang.Object source)` Notification that an activity has started.

Method Detail

### startedActivity

    public void startedActivity(java.lang.Object source)

  Notification that an activity has started.

### completedActivity

    public void completedActivity(java.lang.Object source)

  Notification that an activity is complete.

### activityFailed

    public void activityFailed(java.lang.Object source,
                               java.lang.Exception ex)

  Notification of errors behind the scenes.

### activityProgress

    public void activityProgress(java.lang.Object source,
                                 int current,
                                 int target)

  Estimated progress of an activity. This indicated that `current` parts of the activity have been completed, out of a target `target`.